# requirements
dpkg --add-architecture i386

apt-update

apt install steam

apt-get install mesa-utils

apt install mesa-vulkan-drivers libglx-mesa0:i386 mesa-vulkan-drivers:i386 libgl1-mesa-dri:i386 libxtst6:i386 libpipewire-0.3-dev libbz2-dev

#intel specific:

apt-get remove xserver-xorg-video-intel

#fonts

dpkg-reconfigure locales

en_US.UTF 8

apt install libgtk2.0-0:i386

#debian

hostname unloze.com

x2go or nomachine or VNC client/server setup <br/>
steam account with css purchased
# launch commands

cd /home/gameservers/.steam/debian-installation/ <br/>
./steam.sh -applaunch 240 -textmode -textmessagedebug -novid -nosound -noipx -nojoy -noshaderapi <br/>

/home/gameservers/.steam/debian-installation/steamapps/common/Counter-Strike Source/cstrike/cfg/autoexec.cfg: <br/>
alias loop "exec looptest.cfg; wait 5; loop;"; wait 5; loop; <br/>
(textmode is no video output) <br/>

# do this before signing in to steam using VNC/x2go clients that are connected to VNC/x2go servers running virtual desktops
use "glxinfo" with VNC or x2go client terminal to get information about ID's, for example 0x0e5.<br/> Running glxinfo on normal ssh terminals wont be usefull <br/>
export SDL_VIDEO_X11_VISUALID=0x074 <br/>
exporting correct SDL_VIDEO_X11_VISUALID value is important before steam login for starting games correctly <br/>
instead of automating the steam login its done manually due to requiring x2go/VNC/nomachine clients. 
<br/> With the virtual desktop related to the VNC/x2go/nomachine client you can log into steam using the normal GUI -> <br/>
once logged in steam can run actively for months without requiring restarts

## bashrc for x2go users
in the users thats running a x2go session edit the .bashrc file and add the follwing (remember SDL_VIDEO_X11_VISUALID deppends on glxinfo from xterm terminal): 


if [[ $DISPLAY ]]; then
        echo 'SDL_VIDEO_X11_VISUALID: ' $SDL_VIDEO_X11_VISUALID
        export SDL_VIDEO_X11_VISUALID=0x205
        echo 'SDL_VIDEO_X11_VISUALID: ' $SDL_VIDEO_X11_VISUALID
        steam -no-browser -console #should reduce ram usage
fi

##steam settings -> library -> low bandwith mode and low performance mode

#X2GO_NXAGENT_DEFAULT_OPTIONS="-options nx/nx,sleep=0"  /etc/x2go/x2goagent.options   

#keeps session as R instead of S which is needed for interaction with graphical components such as steam and CS:S

ovh: 0x205, 0x209
